package com.yami.shop.service;


import com.yami.shop.bean.app.param.QnhPushParam;
import com.yami.shop.bean.param.ItemQueryDto;
import com.yami.shop.bean.param.OrderDto;
import com.yami.shop.bean.param.StoreDto;
import com.yami.shop.bean.vo.GoodsItemPageVo;
import com.yami.shop.bean.vo.GoodsItemVo;
import com.yami.shop.bean.vo.StoreDetailVo;
import com.yami.shop.bean.vo.StoreListVo;

import java.util.List;
import java.util.Map;

/**
 * @author wy
 */
public interface IQnhService {

    List<StoreListVo> getStores(StoreDto dto);

    StoreDetailVo queryStore(String regionCode, Integer pageNo, Integer pageSize);

    GoodsItemPageVo itemQuery(ItemQueryDto dto);


    String addOrder(OrderDto dto);

    void syncShop(List<StoreListVo> storeListVos);

    void syncGoods(List<GoodsItemVo> goodsItemVos);

    Map<String, String> getDetailShop(String name);

    String dataUpdate(QnhPushParam qnhPushParam);

    void synchronizedInfo();

//    boolean getSkuStock(String skuCode,Long prodId);

//    boolean getSkuStock(String skuCode,Long prodId,Integer platform);

    void noticeProductInfo(Object object);
}
